Create a draft menu
Creates one empty inactive menu. It does not change the active POS or online-ordering menu.
/v1/restaurants/{restaurantId}/menusCreates one empty inactive menu. It does not change the active POS or online-ordering menu. Organization-boundary tokens also require fiest.organization.read.
Quick request
curl -X POST "https://example.com/v1/restaurants/11111111-1111-4111-8111-111111111111/menus" \ -H "Authorization: Bearer $FIEST_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "name": "Lunch menu", "idempotencyKey": "bbbbbbbb-bbbb-4bbb-8bbb-bbbbbbbbbbbb", "confirmed": true }'{ "data": { "actionId": "aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa", "restaurantId": "11111111-1111-4111-8111-111111111111", "menu": { "menuPublicId": "43f64da8-4ec2-4900-b137-1c0927c975d2", "name": "Lunch menu", "activeForPos": false, "onlineOrdering": false, "categoryCount": 0, "itemCount": 0 }, "replayed": false }}Authorization
fiestOAuth fiest.restaurant.read, fiest.menu.read, fiest.menu.structure.writeOAuth 2.1 authorization code with PKCE. Partner clients and redirect URIs must be approved by Fiest before use.
In: header
Scope: fiest.restaurant.read, fiest.menu.read, fiest.menu.structure.write
Path Parameters
A restaurant identifier returned by the authorized restaurant list.
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json